<!-- Based on fast/repaint/table-extra-bottom-grow.html -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
<head>
<script src="resources/paint-invalidation-test.js"></script>
<script>
    window.expectedPaintInvalidationObjects = [
    ];
    function paintInvalidationTest()
    {
        document.getElementById("t").style.height='100px';
    }
</script>
</head>
<body onload="runPaintInvalidationTest();">
<p><b>BUG ID:</b> <a href="https://bugs.webkit.org/show_bug.cgi?id=6769">Bugzilla bug 6769</a> REGRESSION: Incomplete repaint when a cell's extra bottom margin grows</p>

<p id="success" style="background-color:palegreen; padding:3px;"><b>TEST PASS:</b> 
There should be only a green square below, and no red.
</p>

<p id="failure" style="background-color:#FF3300; padding:3px;"><b>TEST FAIL:</b>  
The lower-right quarter of the square will be red.
</p>

<table style="background: green;" cellspacing="0" cellpadding="0">
    <tr>
        <td style="height: 100px; width: 50px;" rowspan="2">
        </td>
        <td style="width: 50px; vertical-align: top; background: green; height: 50px;" id="t">
        </td>
    </tr>
    <tr>
        <td style="background: red;"></td>
    </tr>
</table>

</body>
</html>

